Package org.apache.felix.hc.core.impl.util.lang

## Class StringUtils

- java.lang.Object
- - org.apache.felix.hc.core.impl.util.lang.StringUtils

    public class StringUtils
    extends Object

Simple class for commons lang replacement where Java 8 does not provide replacements. Java 11 will allow to use String.isBlank() and String.repeat(), then this class can be removed. HINT: This class is also used in generalchecks via Conditional-Package

### Constructor Summary

Constructors
`StringUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `defaultIfBlank​(String cs, String defaultStr)`
`static boolean` `isBlank​(CharSequence cs)`
`static boolean` `isNotBlank​(CharSequence cs)`
`static String` `repeat​(String s, int n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtils

    public StringUtils()

### Method Detail

#### isBlank

    public static boolean isBlank​(CharSequence cs)

#### isNotBlank

    public static boolean isNotBlank​(CharSequence cs)

#### defaultIfBlank

    public static String defaultIfBlank​(String cs,
                                        String defaultStr)

#### repeat

    public static String repeat​(String s,
                                int n)